## entrypoints 0.3

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest coverage gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/entrypoints.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/entrypoints.qhc"

applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/entrypoints"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/entrypoints"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## entrypoints 0.2.2

=== debian/changelog ===
entrypoints (0.2.2-2) unstable; urgency=medium

  * Install an egg-info file so pkg_resources finds the module.

 -- Julien Puydt <julien.puydt@laposte.net>  Sat, 30 Jul 2016 11:15:44 +0200

entrypoints (0.2.2-1) unstable; urgency=medium

  * Initial release. (Closes: #832721)

 -- Julien Puydt <julien.puydt@laposte.net>  Thu, 28 Jul 2016 15:44:37 +0200

=== debian/control ===
Source: entrypoints
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Julien Puydt <julien.puydt@laposte.net>
Section: python
Priority: optional
Standards-Version: 3.9.8
Homepage: https://github.com/takluyver/entrypoints
Build-Depends: debhelper (>= 9),
               dh-python,
               python,
               python-configparser,
               python3
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.2
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/entrypoints.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/entrypoints.git

Package: python-entrypoints
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-configparser
Description: Discover and load entry points from installed packages (Python 2)
 This module contains functions to find and load entry points
 in installed packages.
 .
 This package installs the library for Python 2.

Package: python3-entrypoints
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Discover and load entry points from installed packages (Python 3)
 This module contains functions to find and load entry points
 in installed packages.
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export PYBUILD_NAME=entrypoints

# Debian doesn't have flit:
export DEBPKGVERS=$(shell dpkg-parsechangelog -S Version)
export PYBUILD_SYSTEM=custom
export PYBUILD_CLEAN_ARGS=rm -rf {build_dir}/python{version}/dist-packages
export PYBUILD_CONFIGURE_ARGS=true
export PYBUILD_BUILD_ARGS=true
export PYBUILD_INSTALL_ARGS=mkdir -p {destdir}/usr/lib/python{version}/dist-packages && cp entrypoints.py {destdir}/usr/lib/python{version}/dist-packages && sed -e s/@VERSION@/$(DEBPKGVERS)/g debian/entrypoints.egg-info.in > {destdir}/usr/lib/python{version}/dist-packages/entrypoints.egg-info
export PYBUILD_TEST_ARGS_python2 = true
export PYBUILD_TEST_ARGS_python3 = true

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

## entrypoints 0.2.3

=== debian/changelog ===
entrypoints (0.2.3-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards-version to 4.0.0.

 -- Julien Puydt <julien.puydt@laposte.net>  Wed, 28 Jun 2017 22:10:42 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Julien Puydt <julien.puydt@laposte.net>
 Section: python
 Priority: optional
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: https://github.com/takluyver/entrypoints
 Build-Depends: debhelper (>= 9),
                dh-python,

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

#export DH_VERBOSE=1
export PYBUILD_NAME=entrypoints

# Debian doesn't have flit:
export PYBUILD_SYSTEM=custom
export PYBUILD_CLEAN_ARGS=rm -rf {build_dir}/python{version}/dist-packages
export PYBUILD_CONFIGURE_ARGS=true
export PYBUILD_BUILD_ARGS=true
export PYBUILD_INSTALL_ARGS=mkdir -p {destdir}/usr/lib/python{version}/dist-packages && cp entrypoints.py {destdir}/usr/lib/python{version}/dist-packages && sed -e s/@VERSION@/$(DEB_VERSION)/g debian/entrypoints.egg-info.in > {destdir}/usr/lib/python{version}/dist-packages/entrypoints.egg-info
export PYBUILD_TEST_ARGS_python2 = true
export PYBUILD_TEST_ARGS_python3 = true

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://github.com/takluyver/entrypoints/tags .*/archive/(.*)\.tar\.gz

## entrypoints 0.3

=== debian/changelog ===
entrypoints (0.3-2ubuntu1) focal; urgency=medium

  * Build-depend on python-all.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 30 Mar 2020 12:16:44 +0200

entrypoints (0.3-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Repository, Repository-
    Browse.

  [ Julien Puydt ]
  * Bump std-vers to 4.5.0.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 01 Mar 2020 10:51:34 +0100

entrypoints (0.3-1) unstable; urgency=medium

  * New upstream release.
  * Drop upstream patches as they're in this release.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 16 Jan 2019 18:33:23 +0100

entrypoints (0.2.3-4) unstable; urgency=medium

  * Team upload.
  * Add two upstream patches to silent/fix DeprecationWarnings and fix
    autopkgtests.
  * Bump debhelper compat level to 12 and use debhelper-compat
  * Bump standards version to 4.3.0 (no changes)
  * Enable autopkgtest-pkg-python testsuite

 -- Ondřej Nový <onovy@debian.org>  Mon, 07 Jan 2019 10:38:53 +0100

entrypoints (0.2.3-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces

  [ Julien Puydt ]
  * Point d/watch to /releases instead of /tags.
  * Bump std-ver to 4.2.0.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 15 Aug 2018 22:54:08 +0200

entrypoints (0.2.3-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Fix Format URL to correct one
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field

  [ Julien Puydt ]
  * Refresh packaging:
    - Use my debian.org mail address.
    - Bump dh compat to 11.
    - Bump d/watch to version 4.
    - Bump std-ver to 4.1.5.
    - Get rid of git-dpm use.
    - Run upstream test suite in autopkgtest.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 07 Aug 2018 08:07:00 +0200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,18 @@
 Source: entrypoints
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Julien Puydt <julien.puydt@laposte.net>
+Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: python
 Priority: optional
-Standards-Version: 4.0.0
+Standards-Version: 4.5.0
 Homepage: https://github.com/takluyver/entrypoints
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
-               python,
+               python-all,
                python-configparser,
                python3
-X-Python-Version: >= 2.7
-X-Python3-Version: >= 3.2
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/entrypoints.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/entrypoints.git
+Vcs-Git: https://salsa.debian.org/python-team/modules/entrypoints.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/entrypoints
+Testsuite: autopkgtest-pkg-python
 
 Package: python-entrypoints
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

#export DH_VERBOSE=1
export PYBUILD_NAME=entrypoints

# Debian doesn't have flit:
export PYBUILD_SYSTEM=custom
export PYBUILD_CLEAN_ARGS=rm -rf {build_dir}/python{version}/dist-packages
export PYBUILD_CONFIGURE_ARGS=true
export PYBUILD_BUILD_ARGS=true
export PYBUILD_INSTALL_ARGS=mkdir -p {destdir}/usr/lib/python{version}/dist-packages && cp entrypoints.py {destdir}/usr/lib/python{version}/dist-packages && sed -e s/@VERSION@/$(DEB_VERSION_UPSTREAM)/g debian/entrypoints.egg-info.in > {destdir}/usr/lib/python{version}/dist-packages/entrypoints.egg-info
export PYBUILD_TEST_ARGS_python2 = true
export PYBUILD_TEST_ARGS_python3 = true

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

=== debian/tests/control ===
Tests: upstreamtestsuite2
Depends: python-entrypoints, python-pytest

Tests: upstreamtestsuite3
Depends: python3-entrypoints, python3-pytest

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://github.com/takluyver/entrypoints/releases .*/archive/(.*)\.tar\.gz

## entrypoints 0.4

=== debian/changelog ===
entrypoints (0.4-2) unstable; urgency=medium

  * Team upload.
  * d/gbp.conf: add file and change main branch to 'debian/master'
  * d/control: correct wrong Maintainer team name.
  * d/control: build using  the generic pybuild pyproject plugin.
  * d/control, d/tests: make sure the upstream testsuite runs on all available
    python versions.
  * d/control: Standard-Versions bump to 4.6.1. No changes.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Fri, 02 Dec 2022 11:17:46 -0500

entrypoints (0.4-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 03 Feb 2022 17:26:18 +0100

entrypoints (0.3-10) unstable; urgency=medium

  * Add b-depends on python3-pytest. (Closes: #1002197)

 -- Julien Puydt <jpuydt@debian.org>  Tue, 21 Dec 2021 19:45:05 +0100

entrypoints (0.3-9) unstable; urgency=medium

  * Use pybuild's new flit support. (Closes: #1000778)

 -- Julien Puydt <jpuydt@debian.org>  Fri, 03 Dec 2021 13:01:18 +0100

entrypoints (0.3-8) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Submit.

  [ Julien Puydt ]
  * Fix d/watch (again).

 -- Julien Puydt <jpuydt@debian.org>  Mon, 25 Oct 2021 09:51:20 +0200

entrypoints (0.3-7) unstable; urgency=medium

  * Team upload.
  * debian/control
    - use the proper team email address

 -- Sandro Tosi <morph@debian.org>  Tue, 24 Aug 2021 23:58:57 -0400

entrypoints (0.3-6) unstable; urgency=medium

  * Fix d/watch.
  * Bump std-vers to 4.6.0.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 19 Aug 2021 10:00:24 +0200

entrypoints (0.3-5) unstable; urgency=medium

  [ Julien Puydt ]
  * Update team mailing list address.
  * Bump dh compat to 13.
  * Declare d/rules doesn't require root.

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 12 Oct 2020 22:31:14 +0200

entrypoints (0.3-4) unstable; urgency=medium

  * Drop python2 support; Closes: #936484

 -- Sandro Tosi <morph@debian.org>  Fri, 17 Jul 2020 01:35:27 -0400

entrypoints (0.3-3) unstable; urgency=medium

  * Dont run unittests for python2 binary, to reduce pytest rdeps

 -- Sandro Tosi <morph@debian.org>  Mon, 13 Apr 2020 20:33:06 -0400

=== debian/control ===
Source: entrypoints
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Julien Puydt <jpuydt@debian.org>
Section: python
Priority: optional
Standards-Version: 4.6.1
Homepage: https://github.com/takluyver/entrypoints
Build-Depends: debhelper-compat (= 13),
               dh-python, flit,  pybuild-plugin-pyproject,
               python3-all, python3-pytest
Vcs-Git: https://salsa.debian.org/python-team/packages/entrypoints.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/entrypoints
Rules-Requires-Root: no

Package: python3-entrypoints
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Discover and load entry points from installed packages (Python 3)
 This module contains functions to find and load entry points
 in installed packages.
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

#export DH_VERBOSE=1
export PYBUILD_NAME=entrypoints

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://github.com/takluyver/entrypoints/tags .*/(.*)\.tar\.gz
